အကြောင်းအရာသို့ ကျော်ရန်

Stable Audio 3 Trainer

ပေါင်းစည်းရန်

မော်ဒယ် id stable-audio-3-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio_data_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၃.၀၀ $ ၃,၀၀၀ API ခရက်ဒစ် · ≈ ၃၁၆.၃၉ ₽ လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Stability AI လေ့ကျင့်ခြင်း ၁–၃၈၀ s #music#audio#sfx#lora

ကိုက်ညီသော စာသားဖော်ပြချက်များပါသည့် အသံအပိုင်း zip မှ Stable Audio 3 ပေါ်တွင် LoRA ကို လေ့ကျင့်ပေးသည်

Stability AI · ဖိုင်

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

အသံ/စာတန်း အတွဲတစ်ခုစီကို တူညီသော အခြေခံအမည်ဖြင့် အတူတကွ သိမ်းထားသည့် dataset zip URL။ ဥပမာ `clip.wav` သည် `clip.txt` နှင့် အတွဲဖြစ်သည်။ စာတန်းများတွင် `.txt` extension ကို အသုံးပြုရမည်။

မူလ 1000

LoRA လေ့ကျင့်မှုအတွက် အဆင့်အရေအတွက်။

စက္ကန့်ဖြင့် သတ်မှတ်သော crop/pad ကြာချိန်။ ရွေးချယ်ထားသော မော်ဒယ်၏ မူရင်းလေ့ကျင့်မှုအရှည်က အမြဲကန့်သတ်ထားသည်။ အရှည်တစ်ခု ပေးပါ၊ သို့မဟုတ် ၎င်းကန့်သတ်ချက်အတွင်း dataset တွင် တွေ့ရသော အရှည်ဆုံးကလစ်ကို အသုံးပြုရန် ချန်ထားပါ။

မူလ 1

လေ့ကျင့်မှုအတွင်း အသုံးပြုသည့် batch size။

အဆင့်မြင့် model · base_precision · adapter_type · lora_checkpoint_url · learning_rate · rank · seed · pre_encode · include · exclude
model မူလ medium-base

Stable Audio 3 ကို fine-tuning ပြုလုပ်ရန် အခြေခံ checkpoint။

base_precision မူလ bf16

အေးခဲထားသော အခြေခံ weights များအတွက် အသုံးပြုသည့် precision။ LoRA ပါရာမီတာများသည် fp32 အဖြစ် ဆက်ရှိသည်။

မူလ dora-rows

LoRA လေ့ကျင့်မှုအတွက် အသုံးပြုသည့် adapter အုပ်စု။

ပြန်လည်စတင်ရန် အသုံးပြုမည့် `.safetensors` LoRA checkpoint ၏ ရွေးချယ်နိုင်သော URL။

မူလ 0.0001

LoRA ပါရာမီတာများအတွက် AdamW မှ အသုံးပြုသည့် learning rate။

မူလ 16

LoRA adapter ၏ rank။

မူလ 42

ကျပန်းပြုလုပ်မှုအတွက် seed။

LoRA ထည့်သွင်းမည့်နေရာကို ကန့်သတ်သည့် module-name စာတန်းခွဲများ။ ကိုက်ညီသော module များသာ ၎င်းကို လက်ခံရရှိသည်။

ကိုက်ညီသော module များကို ဖယ်ထုတ်ရန် အသုံးပြုသည့် အမည်စာတန်းခွဲများ။

POST /run/stable-audio-3-trainer?wait=20 ကုန်ကျစရိတ် → ၃.၀၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio_data_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Stable Audio 3 Trainer အကြောင်း

အခြေခံ Checkpoint (medium-base၊ small-music-base သို့မဟုတ် small-sfx-base) ကို အသံဖိုင်တိုင်းတွင် အမည်တူ `.txt` ဖော်ပြစာပါသော `audio_data_url` zip ဖြင့် အသေးစိတ်ချိန်ညှိသည်။ `number_of_steps` (20000 အထိ)၊ `learning_rate`၊ `rank` (1 မှ 256)၊ `adapter_type` နှင့် `batch_size` ကို ချိန်ညှိနိုင်သကဲ့သို့ `.safetensors` Checkpoint မှ ဆက်လက်လုပ်ဆောင်နိုင်သည်။ LoRA Weights နှင့် config ဖိုင်ကို ပြန်ပေးသည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
audio_data_urlလိုအပ်သည်
အမျိုးအစားstring
အသံ/စာတန်း အတွဲတစ်ခုစီကို တူညီသော အခြေခံအမည်ဖြင့် အတူတကွ သိမ်းထားသည့် dataset zip URL။ ဥပမာ `clip.wav` သည် `clip.txt` နှင့် အတွဲဖြစ်သည်။ စာတန်းများတွင် `.txt` extension ကို အသုံးပြုရမည်။
modelရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးmedium-base
medium-basesmall-music-basesmall-sfx-base
Stable Audio 3 ကို fine-tuning ပြုလုပ်ရန် အခြေခံ checkpoint။
number_of_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး1000
၁ – ၂၀,၀၀၀
LoRA လေ့ကျင့်မှုအတွက် အဆင့်အရေအတွက်။
learning_rateရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.0001
≤ ၀.၀၁> ၀
LoRA ပါရာမီတာများအတွက် AdamW မှ အသုံးပြုသည့် learning rate။
rankရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး16
၁ – ၂၅၆
LoRA adapter ၏ rank။
adapter_typeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးdora-rows
loradoradora-rowsdora-colsboralora-xsdora-rows-xsdora-cols-xsbora-xs
LoRA လေ့ကျင့်မှုအတွက် အသုံးပြုသည့် adapter အုပ်စု။
durationရွေးချယ်နိုင်သည်
အမျိုးအစားnumber | null
၁ – ၃၈၀
စက္ကန့်ဖြင့် သတ်မှတ်သော crop/pad ကြာချိန်။ ရွေးချယ်ထားသော မော်ဒယ်၏ မူရင်းလေ့ကျင့်မှုအရှည်က အမြဲကန့်သတ်ထားသည်။ အရှည်တစ်ခု ပေးပါ၊ သို့မဟုတ် ၎င်းကန့်သတ်ချက်အတွင်း dataset တွင် တွေ့ရသော အရှည်ဆုံးကလစ်ကို အသုံးပြုရန် ချန်ထားပါ။
batch_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၈
လေ့ကျင့်မှုအတွင်း အသုံးပြုသည့် batch size။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး42
၀ – ၂,၁၄၇,၄၈၃,၆၄၇
ကျပန်းပြုလုပ်မှုအတွက် seed။
base_precisionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးbf16
bf16bfloat16fp16float16
အေးခဲထားသော အခြေခံ weights များအတွက် အသုံးပြုသည့် precision။ LoRA ပါရာမီတာများသည် fp32 အဖြစ် ဆက်ရှိသည်။
includeရွေးချယ်နိုင်သည်
အမျိုးအစားstring[]
LoRA ထည့်သွင်းမည့်နေရာကို ကန့်သတ်သည့် module-name စာတန်းခွဲများ။ ကိုက်ညီသော module များသာ ၎င်းကို လက်ခံရရှိသည်။
excludeရွေးချယ်နိုင်သည်
အမျိုးအစားstring[]
ကိုက်ညီသော module များကို ဖယ်ထုတ်ရန် အသုံးပြုသည့် အမည်စာတန်းခွဲများ။
lora_checkpoint_urlရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
ပြန်လည်စတင်ရန် အသုံးပြုမည့် `.safetensors` LoRA checkpoint ၏ ရွေးချယ်နိုင်သော URL။
pre_encodeရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
LoRA မလေ့ကျင့်မီ အသံ archive ကို SAME latents အဖြစ် ကြိုတင် encode ပြုလုပ်ခြင်း။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-3-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3000,
    "usd": "3.00",
    "charged": 3000,
    "refunded": 0
  },
  "input": {
    "audio_data_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
lora_file
object {url, content_type, file_name, file_size}Stable Audio 3 အတွက် လေ့ကျင့်ထားသော LoRA weights။
config_file
object {url, content_type, file_name, file_size}လေ့ကျင့်မှုလုပ်ဆောင်ချက်နှင့် inference အတွက် ကိုက်ညီသော မော်ဒယ်ကို ဖော်ပြသည့် JSON metadata။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/stable-audio-3-trainer.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt